import { PnMarkets, PnLanguages } from "../../../globals/types";
/**
 * The default market and language is SE/en.
 *
 * Make sure you set the market **and** language prop.
 * Example: Setting the `language` prop `da` will not display anything, as `da` does not exist on the `SE` market.
 *
 * @deprecated This component has been replaced with the pn-footer-nav.
 * @see {@link https://portal.postnord.com/web-components/?path=/docs/external-components-pn-footer-nav--docs pn-footer-nav}
 */
export declare class PnFooter {
    hostElement: HTMLElement;
    /** Set the market for the footer. */
    market?: PnMarkets;
    /** Set the language for the footer. */
    language?: PnLanguages;
    componentWillLoad(): Promise<void>;
    getLink(name: string): string;
    getText(name: string): string;
    renderLink(name: string): HTMLElement;
    render(): any;
}
